#ifndef _SYS_UJOY_H_
#define _SYS_UJOY_H_

/* ioctls */

#define UJOY_GETNUMAXIS		_IOR('M', 0, int)
#define UJOY_GETNUMBUTTONS	_IOR('M', 1, int)

/* defines */

#define UJOY_MAXAXIS		7

#define UJOY_AXIS_X		0
#define UJOY_AXIS_Y		1
#define UJOY_AXIS_Z		2
#define UJOY_AXIS_RX		3
#define UJOY_AXIS_RY		4
#define UJOY_AXIS_RZ		5
#define UJOY_SLIDER		6

#define UJOY_MAXBUTTONS		32

/* struct */

struct ujoy_axis {
  char	present;
  int	value;
  int	min;
  int	max;
};

struct ujoy {
  struct ujoy_axis	axis[UJOY_MAXAXIS];
  unsigned int		hat;
  unsigned int		buttons;
};

#endif /* _SYS_UJOY_H_ */
